## gmusicbrowser-1.1.16.tar.gz

=== Makefile ===
PACKAGE = gmusicbrowser
VERSION = $(shell grep "^ *VERSIONSTRING" gmusicbrowser.pl |head -n 1 |grep -Eo [.0-9]+)


prefix		= usr
bindir 		= ${DESTDIR}/${prefix}/bin
appdir		= ${DESTDIR}/${prefix}/share/applications
datadir		= ${DESTDIR}/${prefix}/share
mandir		= ${DESTDIR}/${prefix}/share/man
docdir		= ${DESTDIR}/${prefix}/share/doc/$(PACKAGE)-${VERSION}
localedir	= ${DESTDIR}/${prefix}/share/locale
menudir		= ${DESTDIR}/${prefix}/lib/menu
iconsdir	= ${DESTDIR}/${prefix}/share/icons/hicolor

DOCS=AUTHORS COPYING README NEWS INSTALL layout_doc.html

# this triggers correct gettext behavior
# unset LINGUAS => installs all supported linguas
# LINGUAS="" => installs none
# LINGUAS="fr ru" => installs only fr and ru
SUPPORTED_LINGUAS=$(shell for l in po/*po; do basename $$l .po; done)
LCMD := if [ -n "$${LINGUAS+x}" ] ; then for f in $(SUPPORTED_LINGUAS) ; do case "$(LINGUAS)" in *$$f*) printf "$$f " ;; esac ; done ; else printf "$(SUPPORTED_LINGUAS)" ; fi
ACTIVE_LINGUAS = $(shell $(LCMD))

MARKDOWN= markdown

all: locale doc
clean:
	rm -rf dist/
distclean: clean
	rm -rf locale/ layout_doc.html

po/gmusicbrowser.pot : gmusicbrowser.pl *.pm plugins/*.pm layouts/*.layout
	perl po/create_pot.pl --quiet

po/%.po : po/gmusicbrowser.pot
	msgmerge -s -U -N $@ po/gmusicbrowser.pot

locale/%/LC_MESSAGES/gmusicbrowser.mo : po/%.po po/gmusicbrowser.pot
	mkdir -p locale/$*/LC_MESSAGES/
	msgfmt --statistics -c -o $@ $<

locale: $(foreach l,$(ACTIVE_LINGUAS),locale/$l/LC_MESSAGES/gmusicbrowser.mo)

checkpo:
	for lang in $(ACTIVE_LINGUAS) ; do msgfmt -c po/$$lang.po -o /dev/null || exit 1 ; done

doc : layout_doc.html

layout_doc.html : layout_doc.mkd
	${MARKDOWN} layout_doc.mkd > layout_doc.html

install: all
	mkdir -p "$(bindir)"
	mkdir -p "$(datadir)/gmusicbrowser/"
	mkdir -p "$(docdir)"
	mkdir -p "$(mandir)/man1/"
	install -pm 644 $(DOCS) "$(docdir)"
	install -pm 644 gmusicbrowser.man "$(mandir)/man1/gmusicbrowser.1"
	install -d "$(datadir)/gmusicbrowser/pix/"
	install -d "$(datadir)/gmusicbrowser/pix/elementary/"
	install -d "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -d "$(datadir)/gmusicbrowser/pix/tango/"
	install -d "$(datadir)/gmusicbrowser/pix/oxygen/"
	install -d "$(datadir)/gmusicbrowser/plugins/"
	install -d "$(datadir)/gmusicbrowser/layouts/"
	install -pDm 755 gmusicbrowser.pl "$(bindir)/gmusicbrowser"
	install -pm 755 iceserver.pl      "$(datadir)/gmusicbrowser/iceserver.pl"
	install -pm 644 *.pm		  "$(datadir)/gmusicbrowser/"
	install -pm 644 gmbrc.default     "$(datadir)/gmusicbrowser/"
	install -pm 644 layouts/*.layout  "$(datadir)/gmusicbrowser/layouts/"
	install -pm 644 plugins/*.pm      "$(datadir)/gmusicbrowser/plugins/"
	install -pm 644 pix/*.png         "$(datadir)/gmusicbrowser/pix/"
	install -pm 644 pix/elementary/*    "$(datadir)/gmusicbrowser/pix/elementary/"
	install -pm 644 pix/gnome-classic/*    "$(datadir)/gmusicbrowser/pix/gnome-classic/"
	install -pm 644 pix/tango/*            "$(datadir)/gmusicbrowser/pix/tango/"
	install -pm 644 pix/oxygen/*           "$(datadir)/gmusicbrowser/pix/oxygen/"
	install -pDm 644 gmusicbrowser.desktop "$(appdir)/gmusicbrowser.desktop"
	install -pDm 644 org.gmusicbrowser.metainfo.xml "$(datadir)/metainfo/org.gmusicbrowser.metainfo.xml"
	install -pDm 644 pix/gmusicbrowser.svg      "$(iconsdir)/scalable/apps/gmusicbrowser.svg"
	install -pDm 644 pix/gmusicbrowser16x16.png "$(iconsdir)/16x16/apps/gmusicbrowser.png"
	install -pDm 644 pix/trayicon.png           "$(iconsdir)/20x20/apps/gmusicbrowser.png"
	install -pDm 644 pix/gmusicbrowser32x32.png "$(iconsdir)/32x32/apps/gmusicbrowser.png"
	install -pDm 644 pix/gmusicbrowser48x48.png "$(iconsdir)/48x48/apps/gmusicbrowser.png"
	install -pDm 644 pix/gmusicbrowser64x64.png "$(iconsdir)/64x64/apps/gmusicbrowser.png"
	for lang in $(ACTIVE_LINGUAS) ; \
	do \
		install -pd "$(localedir)/$$lang/LC_MESSAGES/"; \
		install -pm 644 locale/$$lang/LC_MESSAGES/gmusicbrowser.mo	"$(localedir)/$$lang/LC_MESSAGES/"; \
	done
	$(MAKE) update-icon-cache

uninstall:
	rm -f "$(bindir)/gmusicbrowser"
	rm -rf "$(datadir)/gmusicbrowser/" "$(docdir)"
	rm -f "$(iconsdir)/scalable/apps/gmusicbrowser.svg" \
		"$(iconsdir)/16x16/apps/gmusicbrowser.png" \
		"$(iconsdir)/20x20/apps/gmusicbrowser.png" \
		"$(iconsdir)/32x32/apps/gmusicbrowser.png" \
		"$(iconsdir)/48x48/apps/gmusicbrowser.png" \
		"$(iconsdir)/64x64/apps/gmusicbrowser.png"
	rm -f "$(appdir)/gmusicbrowser.desktop" "$(datadir)/metainfo/org.gmusicbrowser.metainfo.xml"
	rm -f "$(mandir)/man1/gmusicbrowser.1"
	rm -f "$(localedir)/*/LC_MESSAGES/gmusicbrowser.mo"
	$(MAKE) update-icon-cache

prepackage : all
	perl -pi -e 's!Version:.*!Version: '$(VERSION)'!' gmusicbrowser.spec
	mkdir -p dist/

dist: prepackage
	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.git\* --exclude=.\*swp --exclude=./dist . && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz

# release : same as dist, but exclude debian/ folder
release: prepackage
	tar -czf dist/$(PACKAGE)-$(VERSION).tar.gz --transform=s/^[.]/$(PACKAGE)-$(VERSION)/ --exclude=\*~ --exclude=.git\* --exclude=.\*swp --exclude=./dist --exclude=./debian . && echo wrote dist/$(PACKAGE)-$(VERSION).tar.gz


update_icon_cache = gtk-update-icon-cache -f -t $(iconsdir)
update-icon-cache:
	@-if test -z "$(DESTDIR)"; then \
		echo "Updating Gtk icon cache."; \
		$(update_icon_cache) ; \
	else \
		echo "*** Icon cache not updated. After (un)install, run this:"; \
		echo "***  $(update_icon_cache)" ; \
	fi

=== debian/changelog ===
gmusicbrowser (1.1.16) focal; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Wed, 18 Nov 2020 22:40:00 +0200

gmusicbrowser (1.1.15) vivid; urgency=low

  * new version
  * added mpv to suggested packages

 -- Quentin Sculo <squentin@free.fr>  Sat, 20 Aug 2015 01:19:00 +0200

gmusicbrowser (1.1.14) utopic; urgency=low

  * new version
  * removed libgstreamer-interfaces-perl from suggested packages
  * moved libgstreamer-perl from recommended to suggested packages
  * added libglib-object-introspection-perl and gir1.2-gstreamer-1.0 to recommended packages

 -- Quentin Sculo <squentin@free.fr>  Sat, 18 Mar 2015 23:35:00 +0200

gmusicbrowser (1.1.13) trusty; urgency=low

  * new version
  * add poppler-utils to suggested packages

 -- Quentin Sculo <squentin@free.fr>  Sat, 06 Sep 2014 17:41:00 +0200

gmusicbrowser (1.1.12) saucy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 15 Feb 2014 01:17:00 +0200

gmusicbrowser (1.1.11) saucy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Mon, 13 Jan 2014 20:52:00 +0200

gmusicbrowser (1.1.10) quantal; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 01 Mar 2013 22:13:00 +0200

gmusicbrowser (1.1.9) oneiric; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 02 Feb 2012 16:52:00 +0200

gmusicbrowser (1.1.8) natty; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 08 Oct 2011 23:28:00 +0200

gmusicbrowser (1.1.7) natty; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 18 Dec 2011 07:02:00 +0200

gmusicbrowser (1.1.6) maverick; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Mon, 13 Dec 2010 17:48:00 +0200

gmusicbrowser (1.1.5) karmic; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Tue, 20 Apr 2010 21:39:00 +0200

gmusicbrowser (1.1.4) karmic; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 31 Jan 2010 14:32:00 +0200

gmusicbrowser (1.1.3) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 19 Sep 2009 23:56:00 +0200

gmusicbrowser (1.1.2) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 05 Sep 2009 21:30:00 +0200

gmusicbrowser (1.1.1) intrepid; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 17 Apr 2009 20:45:00 +0200

gmusicbrowser (1.0) hardy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Sat, 26 Jun 2008 17:07:00 +0200

gmusicbrowser (0.964) hardy; urgency=low

  * new version

 -- Quentin Sculo <squentin@free.fr>  Fri, 02 May 2008 15:39:00 +0200

gmusicbrowser (0.963) gutsy; urgency=low

  * new version
  * lots of changes

 -- Quentin Sculo <squentin@free.fr>  Sun, 02 Mar 2008 17:33:20 +0200

gmusicbrowser (0.962) gutsy; urgency=low

  * new version
  * set maintainer to Quentin Sculo
  * moved libgtk2-trayicon-perl from Suggests to Depends

 -- Quentin Sculo <squentin@free.fr>  Sun, 28 Oct 2007 02:00:00 +0200

gmusicbrowser (0.958-0ubuntu1) gutsy; urgency=low

  * Packaged for Ubuntu based on upstream's debian dir (Fixes LP #120213)
  * debian/control:
    - Add build-depends on debhelper and imagemagick
    - Add standards-version
    - Set maintainer to Ubuntu MOTU Developers
    - Remove full stop from description
  * debian/copyright:
    - Updated to reflect the debianization based on upstream's packaging
    - Added more required information
  * debian/rules:
    - Removed unused extra rules
    - Install menu file to correct path
    - Convert menu icon to xpm
    - Removed various other cruft
  * debian/compat:
    - Bumped to 5
  * debian/README.Debian-source:
    - Added to explain repackaging
  * debian/postinst:
    - Turned into stub for debhelper
  * debian/postrm:
    - Added as stub for debhelper
  * debian/gmusicbrowser.menu:
    - Added (copied from source and sanitised)
  * debian/dirs:
    - Added to create usr/share/pixmaps

 -- Andy Price <andy@andrewprice.me.uk>  Sat, 23 Jun 2007 21:37:50 +0100

=== debian/control ===
Source: gmusicbrowser
Section: sound
Priority: optional
Maintainer: Quentin Sculo <squentin@free.fr>
Homepage: http://gmusicbrowser.org/
Build-Depends: debhelper (>= 5.0.0), markdown
Standards-Version: 3.7.3

Package: gmusicbrowser
Architecture: all
Depends: perl, libgtk2-perl, libgtk2.0-0 (>= 2.6)
Recommends: libintl-perl, libnet-dbus-perl, libglib-object-introspection-perl, gir1.2-gstreamer-1.0, libdigest-crc-perl, libcairo-perl, libhtml-parser-perl, libio-compress-perl
Suggests: mpv, mplayer, mpg123, vorbis-tools, alsa-utils, libgtk2-mozembed-perl, libgstreamer-perl, libgtk2-notify-perl, libgnome2-wnck-perl, poppler-utils
Description: very customizable jukebox for large collections of music files
 The interface is extremely customizable. It has easy access to related songs
 (same artist/album/title), supports multiple genres per song, ratings, and
 customizable labels. Powerful search system, random mode and mass-tagging
 dialog. Uses GStreamer, mpg321/ogg123/flac123 or mplayer for playback.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This is the debhelper compatability version to use.
#export DH_COMPAT=4

build:

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gmusicbrowser \
          docdir=$(CURDIR)/debian/gmusicbrowser/usr/share/doc/gmusicbrowser
	# menu needs an xpm instead of a png
	dh_install debian/gmusicbrowser.xpm usr/share/pixmaps
	# docs are handled in binary-indep
	rm $(CURDIR)/debian/gmusicbrowser/usr/share/doc/gmusicbrowser/*


# Build architecture-independent files here.
binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_icons

binary-arch:

binary: binary-indep

.PHONY: clean binary-indep binary install build binary-arch
